Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Benchmark.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Benchmark", "Base class for benchmarks.")]
-  [StorableClass]
+  [StorableClass("FBCB7B7C-8943-4E02-A289-A6C47096FE8A")]
   public abstract class Benchmark : IBenchmark {
     public virtual string ItemName {
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/BenchmarkAlgorithm.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -38,5 +38,5 @@
   [Item("Benchmark Algorithm", "An algorithm to execute performance benchmarks (Linpack, Dhrystone, Whetstone, etc.).")]
   [Creatable(CreatableAttribute.Categories.TestingAndAnalysis, Priority = 130)]
-  [StorableClass]
+  [StorableClass("CD2F76AD-3E63-4114-B12B-DC7A03FC20CD")]
   public sealed class BenchmarkAlgorithm : IAlgorithm {
     private CancellationTokenSource cancellationTokenSource;
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Dhrystone.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Dhrystone", "Dhrystone performance benchmark.")]
-  [StorableClass]
+  [StorableClass("028FC98B-D4F7-455F-B895-CBDDE61A1CF4")]
   public sealed class Dhrystone : Benchmark {
     private const int Ident_1 = 0;
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Linpack.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Linpack", "Linpack performance benchmark.")]
-  [StorableClass]
+  [StorableClass("EADE3F32-C74C-4708-ADA4-418B63207B02")]
   public sealed class Linpack : Benchmark {
     private const int DEFAULT_PSIZE = 1500;
Index: branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Algorithms.Benchmarks/3.3/Whetstone.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Algorithms.Benchmarks {
   [Item("Whetstone", "Whetstone performance benchmark.")]
-  [StorableClass]
+  [StorableClass("5504509A-CC61-4385-9C02-E62CF6B1D07F")]
   public sealed class Whetstone : Benchmark {
     private long begin_time;
